package com.tzld.longarticle.recommend.server.repository.mapper.aigc;

import com.tzld.longarticle.recommend.server.model.MiniprogramTaskParam;
import com.tzld.longarticle.recommend.server.model.PublishContentParam;
import com.tzld.longarticle.recommend.server.repository.entity.aigc.*;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface AigcBaseMapper {

    List<PublishContent> getPublishContentByTitle(List<PublishContentParam> list);

    List<PublishPlanMiniprogramTask> getMiniProgramTask(List<MiniprogramTaskParam> miniprogramTaskParamList);

    List<CrawlerPlanResultRel> getCrawlerPlanRelByChannelContentIds(List<String> channelContentIds);

    List<CrawlerPlan> getCrawlerPlanByPlanIds(List<String> planIds);
}
